Skip to main content
GET
/
api
/
v1
/
external
/
companies
/
{companyId}
/
policies
/
{policyId}
Get Policy
curl --request GET \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/policies/{policyId} \
  --header 'Authorization: <api-key>'
{
  "id": "550e8400-e29b-41d4-a716-446655440001",
  "segments": [
    {
      "segmentInfo": {
        "start": "2025-01-01",
        "end": "2026-01-01"
      },
      "policy": {
        "effectiveDate": "2025-01-01",
        "premium": 15000,
        "status": "Active"
      },
      "coverages": [
        {
          "coverageTypeId": "general_liability",
          "deductible": 5000
        }
      ],
      "exposures": [
        {
          "employeeCount": 150,
          "isActive": true
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

policyId
string<uuid>
required

Policy identifier

Response

FMV1 policy detail

A Field Model V1 policy with its segment data.

id
string<uuid>
required

Policy identifier

segments
object[]
required

Time-based segments containing policy, coverage, and exposure data.